[flake8]
# Set line length to match black's default
max-line-length = 88

# Ignore rules incompatible with black
ignore = E203, W503

# Exclude unnecessary directories or files
exclude = .git, __pycache__, venv, .venv, migrations